/* Override Bootstrap Form Styles */
/* input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus {
  -webkit-text-fill-color: var(--pallet-sage-xdk);
  -webkit-box-shadow: 0 0 0px 40rem var(--pallet-white)#ffff inset;
} */

.form-control {
  border-color: var(--pallet-sage-lgt);
  background-color: var(--pallet-white);
}

.form-control:focus {
  border-color: var(--pallet-white);
  box-shadow: 0px 1px 1px rgba(30, 32, 23, 0.075) inset, 0px 0px 10px rgba(148, 153, 131, 0.815);
}

.form-control:not(:placeholder-shown) {
  background-color: var(--pallet-white-drk);
}

.form-check-input {
  border-color: var(--pallet-sage-lgt);
  background-color: var(--pallet-white);
}

.form-check-input:focus {
  background-color: var(--pallet-white);
}

.form-check-input:checked {
  background-color: var(--pallet-sage-lgt) !important;
  border-color: var(--pallet-sage-drk);
}

.form-select:focus,
.form-select:active .form-check-input:focus,
.label::after,
.label.form-check-label:focus,
.form-check-input:focus,
.form-check-input::after,
.form-check-input:not(:disabled):not(.disabled):active:focus {
  outline: 0;
  border: 0;
  box-shadow: 0 0 0 0.1rem var(--pallet-sage-drk) !important;
}

.form-check-label {
  color: var(--pallet-sage-drk);
  font-family: var(--font-main-baseline-bld);
  font-size: .75rem;
  color: #ab6a6b;
}

.form-select {
  border-color: var(--pallet-sage-drk);
}

.form-label {
  font-family: var(--font-main-baseline-bld);
  font-weight: bold;
  margin: 0;
  padding: 0;
  text-align: left;
  color: var(--pallet-black);
}

.form-Space-3 {
  width: 5rem;
}

.form-Space-9 {
  width: 11rem;
}

.btn-sage,
.btn-sage:active,
.btn-sage:hover {
  border-color: var(--pallet-sage-drk);
  color: var(--pallet-white);
  font-family: var(--font-main-baseline-bld);
  box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.075) inset, 0px 0px 10px rgba(30, 32, 23, 0.5);
}

.btn-sage {
  background-color: var(--pallet-sage-lgt);
}

.btn-sage:active,
.btn-sage:hover {
  background-color: var(--pallet-sage-drk);
}

.btn-pink,
.btn-pink:active,
.btn-pink:hover {
  border-color: var(--pallet-sage-drk);
  /* color: var(--pallet-white); */
  color: var(--pallet-sage-drk);
  font-family: var(--font-main-baseline-bld);
  box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.075) inset, 0px 0px 10px rgba(171, 106, 107, 0.5);
}

.btn-pink {
  background-color: var(--pallet-pink-lgt);
}

.btn-pink:active,
.btn-pink:hover {
  background-color: var(--pallet-pink-drk);

}

.nav-item a,
.nav-item a:link {
  font-family: var(--font-main-baseline-bld);
  color: var(--pallet-pink-drk);
}

.nav-item a:hover,
.nav-item a:active {
  color: var(--pallet-pink-lgt);
}

.nav-item a.active {
  font-family: var(--font-main-baseline-bld);
  color: var(--pallet-pink-lgt);
  pointer-events: none;
  text-decoration: underline;
}

.navbar-toggler {
  padding: 0;
  font-size: .8rem;
}

.accordion {
  --bs-accordion-btn-bg: var(--pallet-pink-drk);
  --bs-accordion-color: var(--pallet-sage-xdk);
  --bs-accordion-bg: var(--pallet-pink-lgt);
  --bs-accordion-border-color: rgb(96, 96, 96);
  --bs-accordion-btn-padding-x: 10px;
  --bs-accordion-btn-padding-y: 5px;
  --bs-accordion-btn-color: var(--pallet-white);
  --bs-accordion-body-padding-x: 10px;
  --bs-accordion-body-padding-y: 10px;
  --bs-accordion-active-bg: var(--pallet-sage-lgt);
  --bs-accordion-active-color: var(--pallet-white);
  --bs-accordion-btn-focus-box-shadow: 0 0 1px var(--pallet-pink-drk), 0 0 2px var(--pallet-pink-drk), 0 0 3px var(--pallet-pink-drk);
}

.accordion-button::after {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-plus' viewBox='0 0 16 16'%3E%3Cpath d='M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4z'/%3E%3C/svg%3E");
  transition: all 0.5s;
}

.accordion-button:not(.collapsed)::after {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='currentColor' class='bi bi-dash' viewBox='0 0 16 16'%3E%3Cpath d='M4 8a.5.5 0 0 1 .5-.5h7a.5.5 0 0 1 0 1h-7A.5.5 0 0 1 4 8z'/%3E%3C/svg%3E");
}

.modal {
  --bs-modal-bg: #3C3C3C;
  --bs-modal-color: var(--pallet-white);
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
  -webkit-text-fill-color: var(--pallet-sage-xdk);
  -webkit-box-shadow: 0 0 0px 40rem var(--pallet-white)#ffff inset;
  transition: background-color 5000s ease-in-out 0s;
}